@charset "UTF-8";
/*
  /rakurakucloud/saikenkanri/asset/css/layout/l-footer-nav.css
  フッターナビゲーション
*/

.l-footer-nav {
  border-top: 1px solid var(--white);
  padding: 30px 0;
  background-color: var(--gray-bg-02);
}

.l-footer-nav-title {
  display: flex;
  padding: 0 0 20px;
  border-bottom: 1px solid var(--gray-bg-01);
  justify-content: space-between;
  @media screen and (max-width: 840px) {
    padding: 0 0 15px;
  }
}

.l-footer-nav-title__logo-wrap {
  width: 152px;
  height: 33px;
}

.l-footer-nav-link {
  padding: 20px 0;
  display: flex;
  @media screen and (max-width: 840px) {
    display: block;
    overflow: hidden;
  }
}

.l-footer-nav-link__wrap {
  margin: 0 25px 0 0;
  @media screen and (max-width: 840px) {
    width: 49%;
    margin: 0;
    float: left;
  }
  &:last-child {
    margin: 0;
  }
}

.l-footer-nav-link-head {
  display: block;
  position: relative;
  padding: 0 0 10px 15px;
  font-size: 14px;
  color: var(--black);
  text-decoration: none;
  &::before {
    position: absolute;
    z-index: 10;
    display: block;
    content: "";
    width: 8px;
    height: 8px;
    top: 5px;
    left: 0;
    margin: auto;
    transform: rotate(45deg);
    transition: all ease 0.3s;
    border-top: 2px solid var(--rdenshihozon-primary);
    border-right: 2px solid var(--rdenshihozon-primary);
  }
  &:hover {
    color: var(--rdenshihozon-primary);
  }
  @media screen and (max-width: 840px) {
    padding: 0 0 7px 12px;
    font-size: 12px;
    &::before {
      width: 6px;
      height: 6px;
      top: 4px;
    }
  }
}

.l-footer-nav-link-sub {
  padding: 0 0 0 15px;
  @media screen and (max-width: 840px) {
    padding: 0 0 10px 15px;
  }
}

.l-footer-nav-link-sub-item {
  padding: 0 0 7px;
}

.l-footer-nav-link-sub-item__link {
  position: relative;
  display: block;
  font-size: 12px;
  padding: 0 0 0 10px;
  color: var(--black);
  &::before {
    position: absolute;
    z-index: 10;
    display: block;
    content: "";
    width: 6px;
    height: 6px;
    top: 3px;
    left: 0;
    margin: auto;
    transform: rotate(180deg);
    transition: all ease 0.3s;
    border-top: 2px solid var(--gray-08);
    border-right: 2px solid var(--gray-08);
    @media screen and (max-width: 840px) {
      width: 5px;
      height: 5px;
    }
  }
  &:hover {
    color: var(--rdenshihozon-primary);
  }
  @media screen and (max-width: 840px) {
    font-size: 10px;
    padding: 0 0 0 10px;
  }
}

.l-footer-nav-cta {
  display: flex;
  justify-content: center;
  text-align: center;
  flex-wrap: wrap;
  gap: 20px;
  @media screen and (max-width: 840px) {
    gap: 10px;
  }
  .c-button-sub {
    @media screen and (max-width: 840px) {
      padding: 15px 30px 12px 20px;
    }
  }
}
